> ## Documentation Index
> Fetch the complete documentation index at: https://docs.mangrovesystems.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Retrieve a data point type

> Returns a specific data point type by ID.



## OpenAPI

````yaml GET /projects/{project_id}/data_point_types/{data_point_type_id}
openapi: 3.1.0
info:
  title: Mangrove - API
  version: 1.1.0
servers:
  - url: https://app.gomangrove.com/api/v1
security:
  - sec0: []
paths:
  /projects/{project_id}/data_point_types/{data_point_type_id}:
    get:
      summary: Retrieve a data point type
      description: Returns a specific data point type by ID.
      operationId: retrieve-data-point-type
      parameters:
        - name: project_id
          in: path
          schema:
            type: string
          required: true
        - name: data_point_type_id
          in: path
          schema:
            type: integer
          required: true
      responses:
        '200':
          description: '200'
          content:
            application/json:
              examples:
                Result:
                  value:
                    id: 1
                    slug: feedstock-delivery-mass
                    name: Mass of Feedstock Delivery
                    value_type: number
                    unit: U.S. ton
                    is_static: false
                    nexus_event_type_id: 1
                    created_at: '2025-02-03T14:19:11.787Z'
                    updated_at: '2025-02-03T14:19:11.787Z'
        '404':
          description: '404'
          content:
            application/json:
              examples:
                Result:
                  value:
                    status: error
                    statusCode: 404
                    errors:
                      - message: record not found
      deprecated: false
components:
  securitySchemes:
    sec0:
      type: apiKey
      in: header
      name: Authorization
      x-bearer-format: ''

````